<?php
namespace Home\Controller;
use Common\Controller\BaseController;
class  ProductController extends   BaseController{
	
	
   
	
	
	public  function index(){
	//调用数据库中的产品和分类自动分类列表展示
	$data = D("Product")->
	alias('p')->
	join('__PRODUCT_CLASS__  c  ON  p.category=c.id','LEFT' )->
	join('__PRODUCT_TYPE__  t  ON  p.type=t.id','LEFT' )->
	field('p.id,p.title,p.unit,p.down,p.price,p.category,c.title lx,t.title type,t.icon t_icon,p.type type_id,c.about lx_about,p.buynum,p.paixi,p.zt')->
	where($where)->order("paixi desc")->limit($Page->firstRow.','.$Page->listRows)->select();
	$list = D("ProductType")->order("id asc")->select();
	$assign=array(
	'data'=>$data,
	'list'=>$list,
	);
	$this->assign($assign);	
	$this->display();
    }
	
	
	 public function demo(){
	//静态方式手动链接产品ID方式演示产品购买
	//可在任意的网站或网页中，通过该链接来引导购买。
	//适合于自由展示，灵活性高，可以在页面中自由设计产品描述。
	$ew80 = (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off' || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
	$host=$ew80.$_SERVER['HTTP_HOST'];
	$assign=array(
	'host'=>$host,
	);	
	
	$this->assign($assign);	
	$this->display();
	
    }
	

}